summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Tim Dickson <dickson.tim@tree-of-life.co.uk>2015-03-30 00:31:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-04-03 20:50:02 +0700
commit8c507d6258504f1377a4321992c325be0b7c5a40 (patch)
treea60315221eec54e9ce49a3ed45a954e9e4844076 /academic
parent0e3aeaec5874f45e842220221be86cf3c037408e (diff)
downloadslackbuilds-8c507d6258504f1377a4321992c325be0b7c5a40.tar.gz
slackbuilds-8c507d6258504f1377a4321992c325be0b7c5a40.tar.xz
academic/xiphos: Added (A bible study application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/xiphos/README6
-rw-r--r--academic/xiphos/doinst.sh5
-rw-r--r--academic/xiphos/slack-desc19
-rw-r--r--academic/xiphos/xiphos.SlackBuild95
-rw-r--r--academic/xiphos/xiphos.info10
5 files changed, 135 insertions, 0 deletions
diff --git a/academic/xiphos/README b/academic/xiphos/README
new file mode 100644
index 0000000000..a0f2679684
--- /dev/null
+++ b/academic/xiphos/README
@@ -0,0 +1,6 @@
+xiphos (formerly gnomesword. A bible study application)
+Xiphos is a bible stidy program for GNOME. Xiphos is based on the
+Sword project by the CrossWire Bible Society.
+
+computer reading of the text using festival has not been tested.
+if it works let me know, and i'll remove these two lines from the readme.
diff --git a/academic/xiphos/doinst.sh b/academic/xiphos/doinst.sh
new file mode 100644
index 0000000000..8542d1c18e
--- /dev/null
+++ b/academic/xiphos/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/xiphos/slack-desc b/academic/xiphos/slack-desc
new file mode 100644
index 0000000000..daacc9362b
--- /dev/null
+++ b/academic/xiphos/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xiphos: xiphos (A bible study application)
+xiphos:
+xiphos: Xiphos is a bible stidy program for GNOME. Xiphos is based on the
+xiphos: Sword project by the CrossWire Bible Society.
+xiphos:
+xiphos: This project has its home at http://xiphos.org
+xiphos:
+xiphos:
+xiphos:
+xiphos:
+xiphos:
diff --git a/academic/xiphos/xiphos.SlackBuild b/academic/xiphos/xiphos.SlackBuild
new file mode 100644
index 0000000000..5b838033c4
--- /dev/null
+++ b/academic/xiphos/xiphos.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for xiphos
+
+# Copyright 2015 Tim Dickson, email: tim at tree-of-life.co.uk
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xiphos
+VERSION=${VERSION:-4.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./waf configure \
+ --prefix=/usr \
+ --enable-webkit-editor
+# --gtk=2 doesn't work with webkitgtk as gtk2 is disabled
+
+./waf build
+./waf install --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/xiphos/xiphos.info b/academic/xiphos/xiphos.info
new file mode 100644
index 0000000000..49bd95b2a7
--- /dev/null
+++ b/academic/xiphos/xiphos.info
@@ -0,0 +1,10 @@
+PRGNAM="xiphos"
+VERSION="4.0.1"
+HOMEPAGE="http://xiphos.org"
+DOWNLOAD="http://heanet.dl.sourceforge.net/project/gnomesword/Xiphos/4.0.1/xiphos-4.0.1.tar.gz"
+MD5SUM="0b3fc83f7ba379d0a762fceaf1c9c11c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="sword gtkhtml webkitgtk3 biblesync rarian"
+MAINTAINER="Tim Dickson"
+EMAIL="dickson.tim@tree-of-life.co.uk"